Package com.verisign.epp.interfaces.unhandlednamespaces.v1_0

## Class EPPUnhandledNamespacesTst

- java.lang.Object
- - com.verisign.epp.interfaces.unhandlednamespaces.v1_0.EPPUnhandledNamespacesTst

-     public class EPPUnhandledNamespacesTst
      extends java.lang.Object

  Is a unit test of the com.verisign.epp.codec.domain package with implementing the Unhandled Namespaces `RFC 9038`.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EPPUnhandledNamespacesTst()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `beforeClass()` | JUNIT `suite` static method, which returns the tests associated with `EPPUnhandledNamespacesTst`.
    `void` | `clearPollQueue()` | Utility method to clear any messages currently left in the poll queue.
    `void` | `handleException​(java.lang.Exception aException)` | Handle an `EPPCommandException`, which can be either a server generated error or a general exception.
    `java.lang.String` | `makeContactName()` | Makes a unique contact name using the current time.
    `java.lang.String` | `makeDomainName()` | This method tries to generate a unique String as Domain Name and Name Server
    `java.lang.String` | `makeHostName​(java.lang.String aDomainName)` | Makes a unique host name for a domain using the current time.
    `java.lang.String` | `makeIP()` | Makes a unique IP address based off of the current time.
    `void` | `testDomainInfoNoDnssec()` | Test establishing a session without the DNSSEC extension and send the domain info command for a DNSSEC enabled domain.
    `void` | `testDomainInfoNoRgp()` | Test establishing a session without the RGP extension and send the domain info command for a domain in RGP.
    `void` | `testPollMessages()` | Test implementing the unhandled namespaces with poll messages created by the Stub Server.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EPPUnhandledNamespacesTst

          public EPPUnhandledNamespacesTst()

  - ### Method Detail

    - #### clearPollQueue

          public void clearPollQueue()

      Utility method to clear any messages currently left in the poll queue.

    - #### testPollMessages

          public void testPollMessages()

      Test implementing the unhandled namespaces with poll messages created by the Stub Server. A set of poll messages are created and the test will consume the poll message with a different set of login services to test putting the extensions into extValue elements. The steps take in the test include:
      1. Clear poll queue of any existing poll messages.
      2. Create session for sending a domain create command that will result in poll messages getting created in the server.
      3. Send a domain create command for "un-poll-messages.com" so that the poll messages needed for the test get created.
      4. Create session with the change poll extension filtered from the login services.
      5. Send a poll request for the change poll message, which needs to move the change poll extension to an extValue element.
      6. Create a session with the domain object and the change poll extension filtered from the login services.
      7. Send a poll request for the change poll message, which needs to move the domain object and the change poll extension to extValue elements.
      8. Acknowledge the change poll message.
      9. Create a session with the domain object filtered from the login services.
      10. Send a poll request for the transfer poll message, which needs to move the domain object to an extValue element.
      11. Acknowledge the transfer poll message.

    - #### testDomainInfoNoDnssec

          public void testDomainInfoNoDnssec()

      Test establishing a session without the DNSSEC extension and send the domain info command for a DNSSEC enabled domain. The steps take in the test include:
      1. Create a new session that filters the DNSSEC extension from the login services.
      2. Send an domain info command for "un-no-dnssec.com", which should return a response that has DNSSEC data.
      3. Assert that the response does not include the DNSSEC extension and that the DNSSEC extension is set in an extValue element.
      4. End the session

    - #### testDomainInfoNoRgp

          public void testDomainInfoNoRgp()

      Test establishing a session without the RGP extension and send the domain info command for a domain in RGP. The steps take in the test include:
      1. Create a new session that filters the RGP extension from the login services.
      2. Send an domain info command for "un-no-rgp.com", which should return a response that has RGP data.
      3. Assert that the response does not include the RGP extension and that the RGP extension is set in an extValue element.
      4. End the session

    - #### beforeClass

          public static void beforeClass()

      JUNIT `suite` static method, which returns the tests associated with `EPPUnhandledNamespacesTst`.

    - #### handleException

          public void handleException​(java.lang.Exception aException)

      Handle an `EPPCommandException`, which can be either a server generated error or a general exception. If the exception was caused by a server error, "Server Error :<Response XML>" will be specified. If the exception was caused by a general algorithm error, "General Error :<Exception Description>" will be specified.
      Parameters:
        `aException` - Exception thrown during test

    - #### makeDomainName

          public java.lang.String makeDomainName()

      This method tries to generate a unique String as Domain Name and Name Server
      Returns:
        A unique domain name

    - #### makeIP

          public java.lang.String makeIP()

      Makes a unique IP address based off of the current time.
      Returns:
        Unique IP address `String`

    - #### makeHostName

          public java.lang.String makeHostName​(java.lang.String aDomainName)

      Makes a unique host name for a domain using the current time.
      Parameters:
        `aDomainName` - Domain name
      Returns:
        Unique host name `String`

    - #### makeContactName

          public java.lang.String makeContactName()

      Makes a unique contact name using the current time.
      Returns:
        Unique contact name `String`